Bug 89490 - gnome-print-man generates CORBA errors when starting
gnome-print-man generates CORBA errors when starting
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: ORBit2 (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
: Triaged
Depends On:
Blocks: CambridgeTarget
  Show dependency treegraph
 
Reported: 2003-04-23 10:27 EDT by Chris Ricker
Modified: 2007-04-18 12:53 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-02 14:13:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch (1.04 KB, patch)
2004-03-19 14:48 EST, Mark McLoughlin
no flags Details | Diff

  None (edit)
Description Chris Ricker 2003-04-23 10:27:01 EDT
When starting gnome-print-man under KDE, I get a dialog box reporting that:

An error occurred while loading or saving configuration information for GNOME
Print Manager. Some of your configuration settings may not work properly.

And then displaying the following errors:



Adding client to server's list failed, CORBA error:
IDL:omg.org/CORBA/COMM_FAILURE:1.0
Adding client to server's list failed, CORBA error:
IDL:omg.org/CORBA/COMM_FAILURE:1.0
Adding client to server's list failed, CORBA error:
IDL:omg.org/CORBA/COMM_FAILURE:1.0
Adding client to server's list failed, CORBA error:
IDL:omg.org/CORBA/COMM_FAILURE:1.0
Adding client to server's list failed, CORBA error:
IDL:omg.org/CORBA/COMM_FAILURE:1.0
Adding client to server's list failed, CORBA error:
IDL:omg.org/CORBA/COMM_FAILURE:1.0
Adding client to server's list failed, CORBA error:
IDL:omg.org/CORBA/COMM_FAILURE:1.0
Adding client to server's list failed, CORBA error:
IDL:omg.org/CORBA/COMM_FAILURE:1.0
Adding client to server's list failed, CORBA error:
IDL:omg.org/CORBA/COMM_FAILURE:1.0
Adding client to server's list failed, CORBA error:
IDL:omg.org/CORBA/COMM_FAILURE:1.0
Adding client to server's list failed, CORBA error:
IDL:omg.org/CORBA/COMM_FAILURE:1.0
Adding client to server's list failed, CORBA error:
IDL:omg.org/CORBA/COMM_FAILURE:1.0
Adding client to server's list failed, CORBA error:
IDL:omg.org/CORBA/COMM_FAILURE:1.0


This isn't a universal KDE problem -- on other machines, gnome-print-man starts
fine under KDE
Comment 1 Tim Waugh 2003-05-06 10:37:02 EDT
Seems like an ORBit problem.
Comment 2 Need Real Name 2003-06-10 15:26:57 EDT
sometimes start the gconfd-1, not the gconfd-2. GNOME 2 applications doesn't run
with gconfd-1. The CORBA error is the result of this.
Comment 3 Havoc Pennington 2003-06-11 00:57:08 EDT
It is a regression in ORBit if gnome 2 apps can't talk to gconfd-1 probably, but 
that still leaves us wondering why gconfd-1 gets started - hmm.

Output of "rpm -q GConf" and "rpm -q GConf2"?

gconfd-1 should have no way to start, because GConf 1 library is hacked to start
gconfd-2 instead. At least, it's supposed to be... 

Comment 4 Chris Ricker 2003-06-11 08:04:14 EDT
[cricker@winsucks cricker]$ rpm -q GConf GConf2
GConf-1.0.9-10
GConf2-2.2.0-1
[cricker@winsucks cricker]$
Comment 5 Mark McLoughlin 2004-03-19 14:46:56 EST
Hmm, I backported a GConf1 patch to correctly launch gconfd-2 instead
of gconfd-1.

However, with that patch a GConf1 client which starts the gconfd-2
server fails to contact it. Need to debug that further.
Comment 6 Mark McLoughlin 2004-03-19 14:48:14 EST
Created attachment 98691 [details]
patch
Comment 7 Bill Nottingham 2006-08-05 01:13:44 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 9 Bill Nottingham 2007-01-02 14:13:21 EST
Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
f you are currently still running Red Hat Linux 7.3 or 9, you are strongly
advised to upgrade to a current Fedora Core release or Red Hat Enterprise Linux
or comparable. Some information on which option may be right for you is
available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.